#!/bin/sh
# This file is part of runit-shutdown which is under the terms of GPL v2+
# Copyright (C) 2005-2006 Alejandro Mery <amery@geeks.cl>

# /sbin/halt [-n] [-w] [-d] [-f] [-i] [-p] [-h]
# /sbin/reboot [-n] [-w] [-d] [-f] [-i]
# /sbin/poweroff [-n] [-w] [-d] [-f] [-i] [-h]

PROG=${0##*/}
force=
action=
wtmp=

case "$PROG" in
	reboot)	action=6	;;
	halt|poweroff) action=0	;;
	*)	echo "$PROG not implemented"	;;
esac
[ "$action" ] || exit 1

while [ $# -gt 0 ]; do
	case "$1" in
		-f)	force=1	;;
		-w)	wtmp=1	;;
	esac	
	shift
done

if [ "$force" ]; then
	echo "forced $PROG not implemented, ignored."
elif [ "$wtmp" ]; then
	echo "wtmp record-only for $PROG not implemented, skiped."
	exit 0
fi
exec /sbin/init $action
